"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commonOptionsLibPath = require("./common/options");
const osenv = require("osenv");
const path = require("path");
class Options extends commonOptionsLibPath.OptionsBase {
    constructor($errors, $staticConfig, $hostInfo) {
        super({
            ipa: { type: "string" },
            frameworkPath: { type: "string" },
            frameworkName: { type: "string" },
            framework: { type: "string" },
            frameworkVersion: { type: "string" },
            forDevice: { type: "boolean" },
            provision: { type: "object" },
            client: { type: "boolean", default: true },
            production: { type: "boolean" },
            debugTransport: { type: "boolean" },
            keyStorePath: { type: "string" },
            keyStorePassword: { type: "string", },
            keyStoreAlias: { type: "string" },
            keyStoreAliasPassword: { type: "string" },
            ignoreScripts: { type: "boolean" },
            disableNpmInstall: { type: "boolean" },
            compileSdk: { type: "number" },
            port: { type: "number" },
            copyTo: { type: "string" },
            platformTemplate: { type: "string" },
            ng: { type: "boolean" },
            tsc: { type: "boolean" },
            androidTypings: { type: "boolean" },
            bundle: { type: "boolean" },
            all: { type: "boolean" },
            teamId: { type: "object" },
            syncAllFiles: { type: "boolean", default: false },
            liveEdit: { type: "boolean" },
            chrome: { type: "boolean" },
            clean: { type: "boolean" },
            watch: { type: "boolean", default: true }
        }, path.join($hostInfo.isWindows ? process.env.AppData : path.join(osenv.home(), ".local/share"), ".nativescript-cli"), $errors, $staticConfig);
        if ($hostInfo.isWindows) {
            try {
                const shelljs = require("shelljs"), oldSettings = path.join(process.env.LocalAppData, ".nativescript-cli", "user-settings.json"), newSettings = path.join(process.env.AppData, ".nativescript-cli", "user-settings.json");
                if (shelljs.test("-e", oldSettings) && !shelljs.test("-e", newSettings)) {
                    shelljs.mkdir(path.join(process.env.AppData, ".nativescript-cli"));
                    shelljs.mv(oldSettings, newSettings);
                }
            }
            catch (err) {
            }
        }
        const that = this;
        if (that.justlaunch) {
            that.watch = false;
        }
    }
}
exports.Options = Options;
$injector.register("options", Options);
